Subject: bug#47685: Feature Request: Install fping by default

From: bo0od <[email-masked]>
Date: Sat, 10 Apr 2021 20:02:27 +0000

There is no ping x.org thats the thing i want it to work, fping or other 
doesnt matter. ping command not their by default.

Tobias Geerinckx-Rice:
> Hi!
> 
> bo0od writes:
>> Its better to know when you configure guix network using manual
>> installation if things went well or not, the easiest way to do that is 
>> ping x.org.
> 
> It might be the most common, but note that it's not a reliable way.
> 
> Plenty of people are confused that ping doesn't work in their VM with 
> QEMU user networking, and think this means they can't access the Web to 
> download packages.  So they don't even try even though it works fine.
> 
>> But fping package is not installed by default within guix
>> iso, Hope to see it added by default.
> 
> I looked up ‘fping’ and it's an obscure ping variant.  It may be your 
> favourite obscure variant ;-) but it's definitely not something that 
> should be installed by default.
> 
> ‘ping’ is provided by ‘inetutils’.  It's already part of 
> %base-packages.  It is installed by default.  Below you talk about the 
> installer ISO, but it already has ‘ping’ preinstalled, so I'm confused.
> 
> Kind regards,
> 
> T G-R